Get Blueprints Process Configurations

Purpose

To get meta details of Blueprint configuration, such as the number of configured Blueprints, supported features, and supported feature limits in your Zoho CRM organization.

Endpoints

  • GET /settings/blueprints/process_configurations

Request Details

Request URL

{api-domain}/crm/{version}/settings/blueprints/process_configurations

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.blueprint.ALL
(or)
ZohoCRM.settings.blueprint.READ

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/blueprints/process_configurations"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-X GET

Response JSON

The blueprints JSON array consists of the details of the process configurations of the Blueprints in your Zoho CRM organization. This includes the following keys:

  • common_transitions_per_blueprintInteger

    Represents the maximum number of common transitions allowed per Blueprint.

  • total_blueprint_configuredInteger

    Represents the total number of Blueprints configured.

  • supported_featuresJSON array

    Contains the list of supported Blueprint features.

  • maximum_allowed_blueprintsInteger

    Lists the maximum number of Blueprints allowed in the account.

  • active_blueprint_configuredInteger

    Indicates the number of active Blueprints configured.

  • last_seen_moduleJSON object

    Represents the last module the user accessed for Blueprint configuration in the Zoho CRM UI.

    • api_nameString

      Represents the API name of the last seen module.

    • idString 

      Indicates the ID of the last seen module.

  • supported_owner_modelsJSON array

    Represents the supported owner models for Blueprints.

Sample Response

Copied{
    "blueprints": {
        "common_transitions_per_blueprint": 25,
        "total_blueprint_configured": 7,
        "supported_features": [
            "Widgets",
            "Kiosk",
            "parallel_transition",
            "automatic_transition",
            "CreateRecord"
        ],
        "maximum_allowed_blueprints": 100,
        "active_blueprint_configured": 5,
        "last_seen_module": {
            "api_name": "Leads",
            "id": "5843104000000002175"
        },
        "supported_owner_models": [
            "user",
            "role",
            "user_group",
            "portal",
            "team_user",
            "team_profile"
        ]
    }
}

Possible Errors

  • API_NOT_SUPPORTEDHTTP 400

    This API is not supported for the selected domain.
    Resolution: Use this API only in supported domains such as eu, com, in, au, ca, cn, and jp.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized access due to invalid scope.
    Resolution: Generate a new access token with appropriate scope.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed.
    Resolution: Pass a valid OAuth access token in the Authorization header.

  • INVALID_URL_PATTERNHTTP 404

    The request URL specified is incorrect.
    Resolution: Verify the API endpoint URL.

  • INTERNAL_ERRORHTTP 500

    Unexpected server error.
    Resolution: Contact Zoho support.